
From: Mikael Pettersson <mikpe@csd.uu.se>

Perfctr sysfs update part 2/4:
- Remove sys_perfctr_info() from x86.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/entry.S  |    5 ++---
 25-akpm/include/asm-i386/unistd.h |   13 ++++++-------
 2 files changed, 8 insertions(+), 10 deletions(-)

diff -puN arch/i386/kernel/entry.S~perfctr-sysfs-update-2-4-x86 arch/i386/kernel/entry.S
--- 25/arch/i386/kernel/entry.S~perfctr-sysfs-update-2-4-x86	2005-02-22 18:17:43.000000000 -0800
+++ 25-akpm/arch/i386/kernel/entry.S	2005-02-22 18:17:43.000000000 -0800
@@ -901,9 +901,8 @@ ENTRY(sys_call_table)
 	.long sys_add_key
 	.long sys_request_key
 	.long sys_keyctl
-	.long sys_perfctr_info
-	.long sys_vperfctr_open		/* 290 */
-	.long sys_vperfctr_control
+	.long sys_vperfctr_open
+	.long sys_vperfctr_control	/* 290 */
 	.long sys_vperfctr_unlink
 	.long sys_vperfctr_iresume
 	.long sys_vperfctr_read
diff -puN include/asm-i386/unistd.h~perfctr-sysfs-update-2-4-x86 include/asm-i386/unistd.h
--- 25/include/asm-i386/unistd.h~perfctr-sysfs-update-2-4-x86	2005-02-22 18:17:43.000000000 -0800
+++ 25-akpm/include/asm-i386/unistd.h	2005-02-22 18:17:43.000000000 -0800
@@ -294,14 +294,13 @@
 #define __NR_add_key		286
 #define __NR_request_key	287
 #define __NR_keyctl		288
-#define __NR_perfctr_info	289
-#define __NR_vperfctr_open	(__NR_perfctr_info+1)
-#define __NR_vperfctr_control	(__NR_perfctr_info+2)
-#define __NR_vperfctr_unlink	(__NR_perfctr_info+3)
-#define __NR_vperfctr_iresume	(__NR_perfctr_info+4)
-#define __NR_vperfctr_read	(__NR_perfctr_info+5)
+#define __NR_vperfctr_open	289
+#define __NR_vperfctr_control	(__NR_vperfctr_open+1)
+#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
+#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
 
-#define NR_syscalls 295
+#define NR_syscalls 294
 
 /*
  * user-visible error numbers are in the range -1 - -128: see
_
